;;;=================================================================
;;;
;;; EXPLXL.LSP V1.00
;;;
;;; Exporter la base de LXL en fichier TXT
;;;
;;; Copyright (C) Patrick_35
;;;
;;;=================================================================

(defun c:explxl(/ cle doc fic nom)
  (setq cle "Patrick_35_Excel"
	doc (vla-get-activedocument (vlax-get-acad-object))
	nom (vla-get-fullname doc)
	nom (strcat (substr nom 1 (- (strlen nom) 3)) "lxl")
	fic (open nom "w")
  )
  (vla-startundomark doc)
  (foreach tbl (reverse (vlax-ldata-list cle))
    (write-line (car tbl) fic)
    (write-line (cadr tbl) fic)
    (if (car (caddr tbl))
      (progn
	(write-line (car (caddr tbl)) fic)
	(foreach lst (cdr (caddr tbl))
	  (write-line (vla-get-handle (car lst)) fic)
	  (write-line (cdr lst) fic)
	)
	(write-line "Remonte_Patrick_35" fic)
      )
    )
    (write-line "Remonte_Patrick_35" fic)
  )
  (close fic)
  (princ"\nExportation termine.")
  (vla-endundomark doc)
  (princ)
)

(setq nom_lisp "EXPLXL")
(if app
  (if (= (strcase (substr app (1+ (- (strlen app) (strlen nom_lisp))) (strlen nom_lisp))) nom_lisp)
    (princ (strcat "..." nom_lisp " charg."))
    (princ (strcat "\n" nom_lisp ".LSP Charg.....Tapez " nom_lisp " pour l'xecuter.")))
  (princ (strcat "\n" nom_lisp ".LSP Charg......Tapez " nom_lisp " pour l'xecuter.")))
(setq nom_lisp nil)
(princ)